﻿@model Domain.Entities.Quiz
@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}





<div class="container-fluid">
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="instructor-dashboard.html">Home</a></li>
        <li class="breadcrumb-item active"> Quiz Management </li>
        <li class="breadcrumb-item active"> Create </li>
    </ol>
    <div class="media align-items-center">
        <div class="media-body">
            <h1 class="page-heading h4"> Create New Quiz  </h1>
        </div>
        </div>
        @using (Html.BeginForm())
        {
            @Html.AntiForgeryToken()

          @Html.ValidationSummary(true, "", new { @class = "text-danger" })
            <div class="card">
                <div class="card-header">
                    <h4 class="card-title">Quiz Details</h4>
                </div>
                <div class="card-body">
                    <form action="#">
                        <div class="form-group row">
                            @Html.LabelFor(model => model.Title, htmlAttributes: new { @class = "col-sm-3 col-form-label" })
                            @*<label for="course_title" class="col-sm-3 col-form-label">Quiz Title</label>*@
                            <div class="col-sm-9 col-md-4">
                                <div class="input-group">
                                    <span class="input-group-addon" id="sizing-addon2">#</span>
                                    @Html.EditorFor(model => model.Title, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.Title, "", new { @class = "text-danger" })
                                    @*<span class="input-group-addon" id="sizing-addon2">#</span>
                                        <input type="text" class="form-control" placeholder="Title" aria-describedby="sizing-addon2" value="Title">*@
                                </div>
                            </div>

                        </div>

                        <div class="form-group row">
                            @Html.LabelFor(model => model.Description, htmlAttributes: new { @class = "col-sm-3 col-form-label" })
                            @*<label for="course_title" class="col-sm-3 col-form-label">Quiz Description</label>*@
                            <div class="col-sm-9 col-md-4">
                                <div class="input-group">
                                    <span class="input-group-addon" id="sizing-addon2">#</span>
                                    @Html.EditorFor(model => model.Description, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
                                    @*<input type="text" class="form-control" placeholder="Title" aria-describedby="sizing-addon2" value="Vue.js Introduction">*@


                                </div>
                            </div>

                        </div>


                        <div class="form-group row">
                            @Html.LabelFor(model => model.Score, htmlAttributes: new { @class = "col-sm-3 col-form-label" })
                            <div class="col-sm-9 col-md-4">
                                <div class="input-group">
                                    <span class="input-group-addon" id="sizing-addon2">#</span>
                                    @Html.EditorFor(model => model.Score, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.Score, "", new { @class = "text-danger" })
                                </div>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="course_title" class="col-sm-3 col-form-label">Course</label>

                            <div class="col-sm-9 col-md-4">
                                <div class="input-group">
                                    <span class="input-group-addon" id="sizing-addon2">#</span>
                                    @*@Html.EditorFor(model => model.Lesson.Titre, new { htmlAttributes = new { @class = "form-control" } })*@
                                    @Html.DropDownListFor(model => model.LessonId, new SelectList(ViewBag.list, "Value", "Text"),
                                   new { @class = "form-control" })


                                    @Html.ValidationMessageFor(model => model.Lesson.Titre, "", new { @class = "text-danger" })
                                </div>
                            </div>
                        </div>

                        <div class="form-group row">
                            @Html.LabelFor(model => model.Duration, htmlAttributes: new { @class = "col-sm-3 col-form-label" })
                    
                            <div class="col-sm-9">
                                <div class="switch">
                                    @*<input id="cmn-toggle" class="switch-toggle switch-toggle-round" type="checkbox" checked>*@
                                    <label for="cmn-toggle"></label>
                                </div>
                                <div class="form-inline">
                                    <div class="form-group">
                                        @Html.EditorFor(model => model.Duration, new { htmlAttributes = new { @class = "form-control text-center" } })
                                        @Html.ValidationMessageFor(model => model.Duration, "", new { @class = "text-danger" })
                                        @*<input type="text" class="form-control text-center" value="4" style="width:50px;">*@
                                    </div>
                                    @*<div class="form-group">

                                            <select class="custom-select">
                                                <option value="hour" selected>Hours</option>
                                                <option value="minutes">Minutes</option>
                                            </select>
                                        </div>*@
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-offset-2 col-md-10">
                              
                                <button type="submit"  value="Create" class="btn btn-success try-sweet-successMessage">Create</button>  
                   
                                 <button class="btn btn-warning" onclick="location.href='@Url.Action("All", "Quiz")';return false;">Cancel</button>
                               
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        }


      
    </div>